com.google.common.base

## Interface Supplier<T>

-     @GwtCompatible
      public interface Supplier<T>

  A class that can supply objects of a single type. Semantically, this could be a factory, generator, builder, closure, or something else entirely. No guarantees are implied by this interface.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get()` Retrieves an instance of the appropriate type.

- - ### Method Detail

    - #### get

          T get()

      Retrieves an instance of the appropriate type. The returned object may or may not be a new instance, depending on the implementation.
      Returns:
        an instance of the appropriate type